IBM Support

Identifying which WebSphere JDK your JVM is using

Technical Blog Post


Abstract

Identifying which WebSphere JDK your JVM is using

Body

 

A JDK (Java Development Toolkit) is a base component of WebSphere Application Server (WAS).   Different versions of WAS support specific versions of the JDK.  You can identify the JDK used by your version of WAS from the output of the java -version command or in a javacore.

Detail:

WebSphere Application Server V8.5 can use JDK 1.6.1, 1.7.0, 1.7.1 and now V8.0.
** Note: The Sun and HP-UX platforms do not have the 1.7.1 or 1.6.1 builds.

1.8.0 - IBM J9 VM
Example java -version output:
java version "1.8.0"
Java(TM) SE Runtime Environment (build pwa6480sr2-20151023_01(SR2))
IBM J9 VM (build 2.8, JRE 1.8.0 Windows 7 amd64-64 Compressed References 20151019_272764 (JIT enabled, AOT enabled)
J9VM - R28_Java8_SR2_20151019_2144_B272764
JIT - tr.r14.java_20151006_102517.04
GC - R28_Java8_SR2_20151019_2144_B272764_CMPRSS
J9CL - 20151019_272764)
JCL - 20151022_01 based on Oracle jdk8u65-b17   

==================================================================
1.7.1 - IBM J9 VM (JRE 1.7.0 build 2.7)  ... (AIX, Linux and Windows only)

Example java -version output:
java version "1.7.0"
Java(TM) SE Runtime Environment (build pwa6470_27sr1fp1-20140712_01(SR1 FP1))
IBM J9 VM (build 2.7, JRE 1.7.0 Windows 7 amd64-64 Compressed References 20140707_205525 (JIT enabled, AOT enabled)
J9VM - R27_Java727_SR1_20140707_1408_B205525
JIT  - tr.r13.java_20140410_61421.07
GC   - R27_Java727_SR1_20140707_1408_B205525_CMPRSS
J9CL - 20140707_205525)
JCL - 20140707_01 based on Oracle 7u65-b16
** Note that it says "1.7.0" in the java version, so you need to look for the "27, 2.7 and R27" references in the sections above to determine this is JDK 1.7.1)

==================================================================
1.7.0 - IBM J9 VM (JRE 1.7.0 build 2.6)

Example java -version output:
java version "1.7.0"
Java(TM) SE Runtime Environment (build pxi3270sr7ifix-20140630_01(SR7+IX90144+IV62044))
IBM J9 VM (build 2.6, JRE 1.7.0 Linux x86-32 20140409_195732 (JIT enabled, AOT enabled)
J9VM - R26_Java726_SR7_20140409_1418_B195732
JIT  - r11.b06_20140409_61252
GC   - R26_Java726_SR7_20140409_1418_B195732
J9CL - 20140409_195732)
JCL - 20140409_01 based on Oracle 7u55-b13
** Note the "2.6 and R26" references in the sections above

==================================================================
1.6.1 - IBM J9 VM (JRE 1.6.0 build 2.6) ... (AIX, Linux and Windows only)

Example java -version output:
java version "1.6.0"
Java(TM) SE Runtime Environment (build pxa6460_26sr5ifix-20130301_01 (SR5+IV36426))
IBM J9 VM (build 2.6, JRE 1.6.0 Linux amd64-64 Compressed References
20130204_137148 (JIT enabled, AOT enabled)
J9VM - R26_Java626_SR5_20130204_0851_B137148
JIT  - r11.b03_20130131_32403
GC   - R26_Java626_SR5_20130204_0851_B137148_CMPRSS
J9CL - 20130204_137148)
JCL  - 20130204_01
** Note that it says "1.6.0" in the java version, so you need to look for the "26, 2.6 and R26" references in the sections above to determine this is JDK 1.6.1).    This distinguishes it from JDK 1.6.0 for WebSphere V7.

==================================================================
==================================================================
WebSphere Application Server V8.0 only uses JDK 1.6.1  (AIX, Linux and Windows only)
** JDK 1.6 is still used for Solaris and HP platforms

Example java -version output:
java version "1.6.0"
Java(TM) SE Runtime Environment (build pxz6460_26fp2-20110801_01)
IBM J9 VM (build 2.6, JRE 1.6.0 Linux s390x-64 20110729_87983 (JIT enabled, AOT enabled)
J9VM - R26_Java626_GA_FP2_20110729_1129_B87983
JIT  - r11_20110215_18645ifx11
GC   - R26_Java626_GA_FP2_20110729_1129_B87983
J9CL - 20110729_87983)
JCL  - 20110712_01
** Note that it says "1.6.0" in the java version, so you need to look for the "26, 2.6 and R26" references in the sections above to determine this is JDK 1.6.1).  This distinguishes it from JDK 1.6.0 for WebSphere V7.
** Solaris and HP only provide JDK 1.6

==================================================================
==================================================================
WebSphere Application Server V7.0 only uses JDK 1.6.0
1.6.0 - IBM J9 VM (build 2.4, JRE 1.6.0 IBM...

Example java -version output:
java version "1.6.0"
Java(TM) SE Runtime Environment (build pap6460sr16ifix-20140425_01(SR16+IX90144))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 AIX ppc64-64 jvmap6460sr16-
20140416_196573 (JIT enabled, AOT enabled)
J9VM - 20140416_196573
JIT  - r9_20130920_46510ifx5
GC   - GA24_Java6_SR16_20140416_1614_B196573)
JCL  - 20140406_01
** Note that it says "1.6.0" in the java version, so you need to look for the "24 and 2.4" references in the sections above.

==================================================================
==================================================================

** Note: Other references sometimes used are (with leading JDK/JDK or Java)

For 1.8.0
 - 1.8
 - 8.0

For 1.7.1
 - 727
 - 7/27
 - 7 R1
 - 7.1
 - 7.0.1
 - J9 2.7

For 1.7.0
 - 726
 - 7.0.0

For 1.6.1
 - 626
 - 6/26
 - 6.0.1
 - 6 R1
 - J9 2.6

 

[{"Business Unit":{"code":"BU004","label":"Hybrid Cloud"},"Product":{"code":"","label":""},"Component":"","Platform":[{"code":"","label":""}],"Version":"","Edition":""}]

UID

ibm11080387